package com.loafle.overflow.model.infra;

import javax.persistence.*;

import com.loafle.overflow.model.meta.MetaTargetZoneType;

/**
 * Created by root on 17. 6. 22.
 */
@Entity
@Table(name = "INFRA_ZONE", schema = "public")
@DiscriminatorValue("1")
public class InfraZone extends Infra {
  private MetaTargetZoneType metaTargetZoneType;

  private String network;
  private String iface;
  private String addressV4;
  private String addressV6;
  private String mac;
  private String gateway;

  @ManyToOne
  @JoinColumn(name = "META_TARGET_ZONE_TYPE_ID", nullable = true)
  public MetaTargetZoneType getMetaTargetZoneType() {
    return metaTargetZoneType;
  }

  public void setMetaTargetZoneType(MetaTargetZoneType metaTargetZoneType) {
    this.metaTargetZoneType = metaTargetZoneType;
  }

  @Basic
  @Column(name = "NETWORK", nullable = true)
  public String getNetwork() {
    return network;
  }

  public void setNetwork(String network) {
    this.network = network;
  }

  @Basic
  @Column(name = "IFACE", nullable = true)
  public String getIface() {
    return iface;
  }

  public void setIface(String iface) {
    this.iface = iface;
  }

  @Basic
  @Column(name = "MAC", nullable = true)
  public String getMac() {
    return mac;
  }

  public void setMac(String mac) {
    this.mac = mac;
  }

  @Basic
  @Column(name = "GATEWAY", nullable = true)
  public String getGateway() {
    return gateway;
  }

  public void setGateway(String gateway) {
    this.gateway = gateway;
  }

  /**
   * @return the addressV4
   */
  @Basic
  @Column(name = "ADDRESS_V4", nullable = true)
  public String getAddressV4() {
    return addressV4;
  }

  /**
   * @param addressV4 the addressV4 to set
   */
  public void setAddressV4(String addressV4) {
    this.addressV4 = addressV4;
  }

  /**
   * @return the addressV6
   */
  @Basic
  @Column(name = "ADDRESS_V6", nullable = true)
  public String getAddressV6() {
    return addressV6;
  }

  /**
   * @param addressV6 the addressV6 to set
   */
  public void setAddressV6(String addressV6) {
    this.addressV6 = addressV6;
  }

}
